/*!
 * Copyright Adaptavist 2024 (c) All rights reserved
 */
import { getHeaders } from "@managed-api/commons-core";
export function constructHeaders(body, manualHeaders) {
    return getHeaders(body, manualHeaders);
}
export async function errorMessageBuilder(response, reason) {
    try {
        const { errors } = await response.json();
        if (errors.length) {
            const errorMessages = errors.map(({ title, code, detail }) => {
                const text = detail ? ` ${detail}.` : '.';
                return `${title} - ${code}${text}`;
            });
            return `${reason} - ${errorMessages.join('\n')}`;
        }
        return reason;
    }
    catch { }
    return reason;
}
//# sourceMappingURL=common.js.map