/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface AttachmentBaseObjectAsResponse {
    /**
     * The content type of the image. Example value: "image/png"
     */
    content_type?: string;
    /**
     * A full URL where the attachment image file can be downloaded. The file may be hosted externally so take care not to inadvertently send Zendesk authentication credentials. See [Working with url properties](/documentation/ticketing/managing-tickets/working-with-url-properties)
     */
    content_url?: string;
    /**
     * If true, the attachment has been deleted
     */
    deleted?: boolean;
    /**
     * The name of the image file
     */
    file_name?: string;
    /**
     * The height of the image file in pixels. If height is unknown, returns null
     */
    height?: string;
    /**
     * Automatically assigned when created
     */
    id?: number;
    /**
  * If true, the attachment is excluded from the attachment list and the attachment's URL
  can be referenced within the comment of a ticket. Default is false
  
  */
    inline?: boolean;
    /**
     * If true, you can download an attachment flagged as malware. If false, you can't download such an attachment.
     */
    malware_access_override?: boolean;
    /**
     * The result of the malware scan. There is a delay between the time the attachment is uploaded and when the malware scan is completed. Usually the scan is done within a few seconds, but high load conditions can delay the scan results. Possible values: "malware_found", "malware_not_found", "failed_to_scan", "not_scanned"
     */
    malware_scan_result?: string;
    /**
     * The URL the attachment image file has been mapped to
     */
    mapped_content_url?: string;
    /**
     * The size of the image file in bytes
     */
    size?: number;
    /**
     * A URL to access the attachment details
     */
    url?: string;
    /**
     * The width of the image file in pixels. If width is unknown, returns null
     */
    width?: string;
}
//# sourceMappingURL=AttachmentBaseObjectAsResponse.d.ts.map