/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface GroupObjectAsResponse {
    /**
     * The time the group was created
     */
    created_at?: string;
    /**
     * If the group is the default one for the account
     */
    default?: boolean;
    /**
     * Deleted groups get marked as such
     */
    deleted?: boolean;
    /**
     * The description of the group
     */
    description?: string;
    /**
     * Automatically assigned when creating groups
     */
    id?: number;
    /**
  * If true, the group is public.
  If false, the group is private.
  You can't change a private group to a public group
  
  */
    is_public?: boolean;
    /**
     * The name of the group
     */
    name: string;
    /**
     * The time of the last update of the group
     */
    updated_at?: string;
    /**
     * The API url of the group
     */
    url?: string;
}
//# sourceMappingURL=GroupObjectAsResponse.d.ts.map