/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface OrganizationMembershipObjectAsResponse {
    /**
     * When this record was created
     */
    created_at?: string;
    /**
     * Denotes whether this is the default organization membership for the user. If false, returns `null`
     */
    default: boolean;
    /**
     * Automatically assigned when the membership is created
     */
    id?: number;
    /**
     * The ID of the organization associated with this user, in this membership
     */
    organization_id: number;
    /**
     * The name of the organization associated with this user, in this membership
     */
    organization_name?: string;
    /**
     * When this record last got updated
     */
    updated_at?: string;
    /**
     * The API url of this membership
     */
    url?: string;
    /**
     * The ID of the user for whom this memberships belongs
     */
    user_id: number;
    /**
     * Denotes whether the user can or cannot have access to all organization's tickets.
     */
    view_tickets?: boolean;
}
//# sourceMappingURL=OrganizationMembershipObjectAsResponse.d.ts.map