/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface OrganizationObjectAsResponse {
    /**
     * The time the organization was created
     */
    created_at?: string;
    /**
     * Any details obout the organization, such as the address
     */
    details?: string;
    /**
     * An array of domain names associated with this organization
     */
    domain_names?: Array<string>;
    /**
     * A unique external id to associate organizations to an external record. The id is case-insensitive. For example, "company1" and "Company1" are considered the same
     */
    external_id?: string;
    /**
     * New tickets from users in this organization are automatically put in this group
     */
    group_id?: number;
    /**
     * Automatically assigned when the organization is created
     */
    id?: number;
    /**
     * A unique name for the organization
     */
    name: string;
    /**
     * Any notes you have about the organization
     */
    notes?: string;
    /**
     * Custom fields for this organization. See [Custom organization fields](/api-reference/ticketing/organizations/organizations/#custom-organization-fields)
     */
    organization_fields?: {
        [x: string]: string | number;
    };
    /**
     * End users in this organization are able to comment on each other's tickets
     */
    shared_comments?: boolean;
    /**
     * End users in this organization are able to see each other's tickets
     */
    shared_tickets?: boolean;
    /**
     * The tags of the organization
     */
    tags?: Array<string>;
    /**
     * The time of the last update of the organization
     */
    updated_at?: string;
    /**
     * The API url of this organization
     */
    url?: string;
}
//# sourceMappingURL=OrganizationObjectAsResponse.d.ts.map