/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { TicketAuditViaObject } from "../definitions/TicketAuditViaObject";
export interface TicketCommentObject {
    /**
     * The id of the comment author. See [Author id](#author-id)
     */
    author_id?: number;
    /**
     * The comment string. See [Bodies](#bodies)
     */
    body?: string;
    /**
     * The comment formatted as HTML. See [Bodies](#bodies)
     */
    html_body?: string;
    /**
     * true if a public comment; false if an internal note. The initial value set on ticket creation persists for any additional comment unless you change it
     */
    public?: boolean;
    /**
     * List of tokens received from [uploading files](/api-reference/ticketing/tickets/ticket-attachments/#upload-files) for comment attachments. The files are attached by creating or updating tickets with the tokens. See [Attaching files](/api-reference/ticketing/tickets/tickets/#attaching-files) in Tickets
     */
    uploads?: Array<string>;
    via?: TicketAuditViaObject;
}
//# sourceMappingURL=TicketCommentObject.d.ts.map