/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { AttachmentObjectAsResponse } from "../definitions/AttachmentObjectAsResponse";
import { TicketAuditViaObjectAsResponse } from "../definitions/TicketAuditViaObjectAsResponse";
export interface TicketCommentObjectAsResponse {
    /**
     * Attachments, if any. See [Attachment](/api-reference/ticketing/tickets/ticket-attachments/)
     */
    attachments?: Array<AttachmentObjectAsResponse>;
    /**
     * The id of the ticket audit record. See [Show Audit](/api-reference/ticketing/tickets/ticket_audits/#show-audit)
     */
    audit_id?: number;
    /**
     * The id of the comment author. See [Author id](#author-id)
     */
    author_id?: number;
    /**
     * The comment string. See [Bodies](#bodies)
     */
    body?: string;
    /**
     * The time the comment was created
     */
    created_at?: string;
    /**
     * The comment formatted as HTML. See [Bodies](#bodies)
     */
    html_body?: string;
    /**
     * Automatically assigned when the comment is created
     */
    id?: number;
    /**
     * System information (web client, IP address, etc.) and comment flags, if any. See [Comment flags](#comment-flags)
     */
    metadata?: {
        [x: string]: any;
    };
    /**
     * The comment presented as plain text. See [Bodies](#bodies)
     */
    plain_body?: string;
    /**
     * true if a public comment; false if an internal note. The initial value set on ticket creation persists for any additional comment unless you change it
     */
    public?: boolean;
    /**
     * `Comment` or `VoiceComment`. The JSON object for adding voice comments to tickets is different. See [Adding voice comments to tickets](/documentation/ticketing/managing-tickets/adding-voice-comments-to-tickets)
     */
    type?: string;
    /**
     * List of tokens received from [uploading files](/api-reference/ticketing/tickets/ticket-attachments/#upload-files) for comment attachments. The files are attached by creating or updating tickets with the tokens. See [Attaching files](/api-reference/ticketing/tickets/tickets/#attaching-files) in Tickets
     */
    uploads?: Array<string>;
    via?: TicketAuditViaObjectAsResponse;
}
//# sourceMappingURL=TicketCommentObjectAsResponse.d.ts.map