/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { TicketUpdateInput } from "../definitions/TicketUpdateInput";
import { CollaboratorObject } from "../definitions/CollaboratorObject";
import { ViaObject } from "../definitions/ViaObject";
export type TicketCreateInput = TicketUpdateInput & {
    /**
     * Enterprise only. The id of the brand this ticket is associated with
     */
    brand_id?: number;
    /**
     * POST requests only. Users to add as cc's when creating a ticket. See [Setting Collaborators](/documentation/ticketing/managing-tickets/creating-and-updating-tickets#setting-collaborators)
     */
    collaborators?: Array<CollaboratorObject>;
    /**
     * The ids of agents or end users currently CC'ed on the ticket. See [CCs and followers resources](https://support.zendesk.com/hc/en-us/articles/360020585233) in the Support Help Center
     */
    email_cc_ids?: Array<number>;
    /**
     * The ids of agents currently following the ticket. See [CCs and followers resources](https://support.zendesk.com/hc/en-us/articles/360020585233)
     */
    follower_ids?: Array<number>;
    /**
     * POST requests only. List of macro IDs to be recorded in the ticket audit
     */
    macro_ids?: Array<number>;
    /**
  * The dynamic content placeholder, if present, or the "subject" value, if not. See [Dynamic Content Items](/api-reference/ticketing/ticket-management/dynamic_content/)
  
  */
    raw_subject?: string;
    /**
     * The original recipient e-mail address of the ticket
     */
    recipient?: string;
    /**
     * The user who submitted the ticket. The submitter always becomes the author of the first comment on the ticket
     */
    submitter_id?: number;
    /**
     * Enterprise only. The id of the ticket form to render for the ticket
     */
    ticket_form_id?: number;
    via?: ViaObject;
    /**
     * POST requests only. The id of a closed ticket when creating a follow-up ticket. See [Creating a follow-up ticket](/documentation/ticketing/managing-tickets/creating-and-updating-tickets#creating-a-follow-up-ticket)
     */
    via_followup_source_id?: number;
};
//# sourceMappingURL=TicketCreateInput.d.ts.map