/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface UserForEndUserAsResponse {
    /**
     * The time the user was created
     */
    created_at?: string;
    /**
     * The primary email address of this user. If the primary email address is not [verified](https://support.zendesk.com/hc/en-us/articles/4408886752410), the secondary email address is used
     */
    email?: string;
    /**
     * The time zone for the user
     */
    iana_time_zone?: string;
    /**
     * Automatically assigned when creating users
     */
    id?: number;
    /**
     * The locale for this user
     */
    locale?: string;
    /**
     * The language identifier for this user
     */
    locale_id?: number;
    /**
     * The name of the user
     */
    name: string;
    /**
     * The id of the user's organization. If the user has more than one [organization memberships](/api-reference/ticketing/organizations/organization_memberships/), the id of the user's default organization. If updating, see [Organization ID](/api-reference/ticketing/users/users/#organization-id)
     */
    organization_id?: number;
    /**
     * The primary phone number of this user. See [Phone Number](/api-reference/ticketing/users/users/#phone-number) in the Users API
     */
    phone?: string;
    /**
     * The user's profile picture represented as an [Attachment](/api-reference/ticketing/tickets/ticket-attachments/) object
     */
    photo?: {
        [x: string]: any;
    };
    /**
     * The role of the user. Possible values: `"end-user"`, `"agent"`, `"admin"`
     */
    role?: string;
    /**
     * Whether the `phone` number is shared or not. See [Phone Number](/api-reference/ticketing/users/users/#phone-number) in the Users API
     */
    shared_phone_number?: boolean;
    /**
     * The time-zone of this user
     */
    time_zone?: string;
    /**
     * The time of the last update of the user
     */
    updated_at?: string;
    /**
     * The API url of this user
     */
    url?: string;
    /**
     * Any of the user's identities is verified. See [User Identities](/api-reference/ticketing/users/user_identities)
     */
    verified?: boolean;
}
//# sourceMappingURL=UserForEndUserAsResponse.d.ts.map