/*!
 * Copyright Adaptavist 2024 (c) All rights reserved
 */
import { BaseErrorStrategyHandlers, BaseErrorStrategyOption, CustomErrorHandler, ErrorStrategyBuilderConstructor, HttpError } from "@managed-api/commons-core";
import { ErrorStrategyBuilder } from "./builders/errorStrategy";
export interface CommonError {
    errors: {
        code: string;
        title: string;
        detail?: string;
        id?: string;
        links?: Record<string, any>;
        source?: Record<string, any>;
        status?: string;
    }[];
}
export type AdditionalErrorTypes = HttpError<CommonError>;
export interface ErrorStrategyHandlers extends BaseErrorStrategyHandlers<CommonError, AdditionalErrorTypes> {
}
export interface ErrorStrategyOption extends BaseErrorStrategyOption<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder> {
}
export declare const customErrorHandlers: CustomErrorHandler[];
export declare const errorStrategyBuilderConstructor: ErrorStrategyBuilderConstructor<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder>;
//# sourceMappingURL=errorStrategy.d.ts.map