/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GroupsResponseAsResponse } from "../definitions/GroupsResponseAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetAllGroupsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The id of the user
     */
    user_id: number;
    /**
     * Whether to exclude deleted entities
     */
    exclude_deleted?: boolean;
    /**
  * One of `id`, `updated_at`, `-id`, or `-updated_at`. The `-` denotes the sort will be descending.
  
  */
    sort?: string;
    /**
  * A [pagination cursor](/documentation/api-basics/pagination/paginating-through-lists-using-cursor-pagination) that tells the endpoint which page to start on. It should be a `meta.before_cursor` value from a previous request. Note: `page[before]` and `page[after]` can't be used together in the same request.
  
  */
    "page[before]"?: string;
    /**
  * A [pagination cursor](/documentation/api-basics/pagination/paginating-through-lists-using-cursor-pagination) that tells the endpoint which page to start on. It should be a `meta.after_cursor` value from a previous request. Note: `page[before]` and `page[after]` can't be used together in the same request.
  
  */
    "page[after]"?: string;
    /**
  * Specifies how many records should be returned in the response. You can specify up to 100 records per page.
  
  */
    "page[size]"?: number;
}
type GetAllGroupsResponseOKType = GroupsResponseAsResponse;
export interface GetAllGroupsResponseOK extends GetAllGroupsResponseOKType {
}
export type GetAllGroupsResponseError = undefined;
export interface GetGroupsByUserRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The id of the user
     */
    user_id: number;
    /**
  * One of `id`, `updated_at`, `-id`, or `-updated_at`. The `-` denotes the sort will be descending.
  
  */
    sort?: string;
    /**
  * A [pagination cursor](/documentation/api-basics/pagination/paginating-through-lists-using-cursor-pagination) that tells the endpoint which page to start on. It should be a `meta.before_cursor` value from a previous request. Note: `page[before]` and `page[after]` can't be used together in the same request.
  
  */
    "page[before]"?: string;
    /**
  * A [pagination cursor](/documentation/api-basics/pagination/paginating-through-lists-using-cursor-pagination) that tells the endpoint which page to start on. It should be a `meta.after_cursor` value from a previous request. Note: `page[before]` and `page[after]` can't be used together in the same request.
  
  */
    "page[after]"?: string;
    /**
  * Specifies how many records should be returned in the response. You can specify up to 100 records per page.
  
  */
    "page[size]"?: number;
}
type GetGroupsByUserResponseOKType = GroupsResponseAsResponse;
export interface GetGroupsByUserResponseOK extends GetGroupsByUserResponseOKType {
}
export type GetGroupsByUserResponseError = undefined;
export {};
//# sourceMappingURL=group.d.ts.map