/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { OrganizationsResponseAsResponse } from "../definitions/OrganizationsResponseAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { ErrorsAsResponse } from "../definitions/ErrorsAsResponse";
export interface GetAllOrganizationsRequest extends HeadersOption, ErrorStrategyOption {
    /**
  * One of `id`, `updated_at`, `-id`, or `-updated_at`. The `-` denotes the sort will be descending.
  
  */
    sort?: string;
    /**
  * A [pagination cursor](/documentation/api-basics/pagination/paginating-through-lists-using-cursor-pagination) that tells the endpoint which page to start on. It should be a `meta.before_cursor` value from a previous request. Note: `page[before]` and `page[after]` can't be used together in the same request.
  
  */
    "page[before]"?: string;
    /**
  * A [pagination cursor](/documentation/api-basics/pagination/paginating-through-lists-using-cursor-pagination) that tells the endpoint which page to start on. It should be a `meta.after_cursor` value from a previous request. Note: `page[before]` and `page[after]` can't be used together in the same request.
  
  */
    "page[after]"?: string;
    /**
  * Specifies how many records should be returned in the response. You can specify up to 100 records per page.
  
  */
    "page[size]"?: number;
}
type GetAllOrganizationsResponseOKType = OrganizationsResponseAsResponse;
export interface GetAllOrganizationsResponseOK extends GetAllOrganizationsResponseOKType {
}
export type GetAllOrganizationsResponseError = undefined;
export interface GetOrganizationsByUserRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The id of the user
     */
    user_id: number;
    /**
  * One of `id`, `updated_at`, `-id`, or `-updated_at`. The `-` denotes the sort will be descending.
  
  */
    sort?: string;
    /**
  * A [pagination cursor](/documentation/api-basics/pagination/paginating-through-lists-using-cursor-pagination) that tells the endpoint which page to start on. It should be a `meta.before_cursor` value from a previous request. Note: `page[before]` and `page[after]` can't be used together in the same request.
  
  */
    "page[before]"?: string;
    /**
  * A [pagination cursor](/documentation/api-basics/pagination/paginating-through-lists-using-cursor-pagination) that tells the endpoint which page to start on. It should be a `meta.after_cursor` value from a previous request. Note: `page[before]` and `page[after]` can't be used together in the same request.
  
  */
    "page[after]"?: string;
    /**
  * Specifies how many records should be returned in the response. You can specify up to 100 records per page.
  
  */
    "page[size]"?: number;
}
type GetOrganizationsByUserResponseOKType = OrganizationsResponseAsResponse;
export interface GetOrganizationsByUserResponseOK extends GetOrganizationsByUserResponseOKType {
}
type GetOrganizationsByUserResponseErrorType = ErrorsAsResponse & ErrorsAsResponse & ErrorsAsResponse;
export interface GetOrganizationsByUserResponseError extends GetOrganizationsByUserResponseErrorType {
}
export {};
//# sourceMappingURL=organization.d.ts.map